Bug 1024424 - Fix bash completion for more
Fix bash completion for more
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
19
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 11:58 EDT by Nicola Soranzo
Modified: 2014-01-28 22:04 EST (History)
3 users (show)

See Also:
Fixed In Version: util-linux-2.23.2-5.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-28 22:04:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicola Soranzo 2013-10-29 11:58:09 EDT
Description of problem:
The bash completion for more treats the space-separated pieces of filenames as different files.

Version-Release number of selected component (if applicable):
util-linux-2.23.2-4.fc19

How reproducible:
Always

Steps to Reproduce:
1. touch foo\ bar
2. more foo<TAB>

Actual results:
bar foo

Expected results:
more foo\ bar

Additional info:
This has been fixed in util-linux-2.24, see https://www.kernel.org/pub/linux/utils/util-linux/v2.24/v2.24-rc2-ChangeLog , commit ce3e6b15e2c4478b2df9a7016c168b16325abfb0
Comment 1 Fedora Update System 2014-01-13 06:41:28 EST
util-linux-2.23.2-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/util-linux-2.23.2-5.fc19
Comment 2 Fedora Update System 2014-01-14 03:41:19 EST
Package util-linux-2.23.2-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing util-linux-2.23.2-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0749/util-linux-2.23.2-5.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2014-01-28 22:04:06 EST
util-linux-2.23.2-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.